%bcond_with bootstrap

Name:           apache-commons-codec
Version:        1.17.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Implementations of common encoders and decoders
License:        Apache-2.0
URL:            https://commons.apache.org/codec/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://archive.apache.org/dist/commons/codec/source/commons-codec-%{version}-src.tar.gz
# Data in DoubleMetaphoneTest.java originally has an inadmissible license.
# The author gives MIT in e-mail communication.
Source1:        aspell-mail.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.hamcrest:hamcrest)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-engine)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-params)
%endif

%description
Commons Codec is an attempt to provide definitive implementations of
commonly used encoders and decoders. Examples include Base64, Hex,
Phonetic and URLs.

%{?javadoc_package}

%prep
%autosetup -n commons-codec-%{version}-src
cp %{SOURCE1} aspell-mail.txt
sed -i 's/\r//' RELEASE-NOTES*.txt LICENSE.txt NOTICE.txt

%mvn_file : commons-codec %{name}
%mvn_alias : commons-codec:commons-codec

%build
%mvn_build -- -Dcommons.osgi.symbolicName=org.apache.commons.codec

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt aspell-mail.txt
%doc RELEASE-NOTES*




%changelog
* Sat Jul 20 2024 daviddavid <daviddavid> 1.17.1-1.mga10
+ Revision: 2082119
- Update to upstream version 1.17.1

* Thu Jun 20 2024 daviddavid <daviddavid> 1.16.1-1.mga10
+ Revision: 2075836
- Update to upstream version 1.16.1

* Tue May 21 2024 ns80 <ns80> 1.16.0-2.mga10
+ Revision: 2065544
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 1.16.0-1.mga10
+ Revision: 1986575
- Update to upstream version 1.16.0

* Mon Jul 25 2022 neoclust <neoclust> 1.15-5.mga9
+ Revision: 1871149
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.15-4.mga9
+ Revision: 1870166
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.15-3.mga9
+ Revision: 1863217
- Add bootstrap mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 1.15-1.mga9
+ Revision: 1694325
- Update to latest upstream release 1.15

* Sun Aug 23 2020 neoclust <neoclust> 1.13-1.mga8
+ Revision: 1618212
- New version 1.13

* Sat Feb 15 2020 umeabot <umeabot> 1.11-4.mga8
+ Revision: 1527541
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1.11-3.mga8
+ Revision: 1422322
- Rebuild to regenerate OSGi metadata

* Wed Dec 12 2018 daviddavid <daviddavid> 1.11-2.mga7
+ Revision: 1340715
- rebuild against fixed apache-commons-parent (fixes osgi meta)

* Sun Nov 18 2018 guillomovitch <guillomovitch> 1.11-1.mga7
+ Revision: 1331285
- new version 1.11

* Tue Sep 18 2018 umeabot <umeabot> 1.10-6.mga7
+ Revision: 1259673
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 1.10-5.mga6
+ Revision: 1103025
- Rebuild against new apache-parent

* Wed Mar 02 2016 neoclust <neoclust> 1.10-4.mga6
+ Revision: 982058
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.10-3.mga6
+ Revision: 975450
- First rebuild of the java stack
- sync package apache-commons-codec with fedora

* Sat Dec 19 2015 zezinho <zezinho> 1.10-1.mga6
+ Revision: 912236
- new version

* Thu Dec 25 2014 pterjan <pterjan> 1.9-2.mga5
+ Revision: 805860
- Clean rebuild
- Sync with Fedora 21 (update to 1.9)

* Wed Oct 15 2014 umeabot <umeabot> 1.8-4.mga5
+ Revision: 750383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8-3.mga5
+ Revision: 677793
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.8-1.mga4
+ Revision: 488990
- New version

* Sun Jul 14 2013 dmorgan <dmorgan> 1.7-3.mga4
+ Revision: 453990
- Replace maven BuildRequires with maven-local

* Fri Jan 11 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 345653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.7-1.mga3
+ Revision: 326553
- New version

* Tue Sep 18 2012 dmorgan <dmorgan> 1.6-3.mga3
+ Revision: 295863
- Restore apache-commons-codec.jar symlink, resolves BZ #857947

* Wed Sep 12 2012 dmorgan <dmorgan> 1.6-2.mga3
+ Revision: 293207
- Clean spec file

* Thu Jul 05 2012 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 267882
- New version

* Wed Apr 27 2011 dmorgan <dmorgan> 1.4-13.mga1
+ Revision: 92224
- Rebuild after bootstrapping
- imported package apache-commons-codec


* Thu Feb 10 2011 mbooth <mbooth@sd.matbooth.co.uk> 1.4-12
- Drop versioned jars and javadocs.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri May 21 2010 Mat Booth <fedora@matbooth.co.uk> 1.4-10
- Correct dep-map names #594717.

* Fri May 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4-9
- Obsolete/Provide commons-codec.

* Fri May 14 2010 Mat Booth <fedora@matbooth.co.uk> - 1.4-8
- Obsolete jakarta javadoc package.
- Keep legacy depmap around.

* Thu May 13 2010 Mat Booth <fedora@matbooth.co.uk> - 1.4-7
- Use global instead of define.
- Drop really old obsoletes/provides on short_name.
- Fix requires.

* Tue May 11 2010 Mat Booth <fedora@matbooth.co.uk> - 1.4-6
- Rename package (jakarta-commons-codec->apache-commons-codec).

* Tue Dec 8 2009 Mat Booth <fedora@matbooth.co.uk> - 1.4-5
- Enable OSGi automatic depsolving (from Alphonse Van Assche).

* Sun Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> - 1.4-4
- Fix javadoc package requires

* Sat Nov 7 2009 Mat Booth <fedora@matbooth.co.uk> - 1.4-3
- Correct Obsoletes/Provides according to naming guidelines

* Sat Nov 7 2009 Mat Booth <fedora@matbooth.co.uk> - 1.4-2
- Add all maven related build reqs
- Require Java 1.6 because tests fail on GCJ

* Sat Nov 7 2009 Mat Booth <fedora@matbooth.co.uk> - 1.4-1
- Update to 1.4
- Rewrite spec file to build using upstream-preferred maven instead of ant
- Drop patch to add OSGi manifest (done automatically in the maven build)
- Install pom and add to maven dep-map
- Re-enable all tests

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.3-11.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.3-10.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 24 2008 Andrew Overholt <overholt@redhat.com> 1.3-9.4
- Update OSGi manifest.

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.3-9.3
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.3-9jpp.2
- Autorebuild for GCC 4.3

* Thu Sep 06 2007 Andrew Overholt <overholt@redhat.com> 1.3-8jpp.2
- Add OSGi manifest.

* Wed Mar 21 2007 Matt Wringe <mwringe@redhat.com> 0:1.3-8jpp.1
- Update to latest jpp version
- Fix rpmlint issues

* Wed Mar 21 2007 Matt Wringe <mwringe@redhat.com> 0:1.3-8jpp
- Fix some rpmlint warnings
- Update copyright year

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> 0:1.3-7jpp.2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-7jpp.1
- Merge with upstream version.

* Tue Sep 26 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-7jpp
- Add missing java-javadoc requires and buildrequires.

* Mon Sep 25 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-6jpp.1
- Merge with upstream version.

* Mon Sep 25 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-6jpp
- Update jakarta-commons-codec-1.3-buildscript.patch to build
  offline.

* Thu Aug 10 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-5jpp.1
- Merge with upstream version
 - Add missing javadoc requires

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:1.3-4jpp_2fc
- Rebuilt

* Thu Jul 20 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-4jpp_1fc
- Merged with upstream version
- Now is natively compiled

* Thu Jul 20 2006 Matt Wringe <mwringe at redhat.com> 0:1.3-4jpp
- Added conditional native compiling

* Tue Apr 04 2006 Ralph Apel <r.apel@r-apel.de> 0:1.3-3jpp
- First JPP-1.7 release

* Wed Sep 08 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp
- Do not stop on test failure

* Tue Sep 07 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-1jpp
- Upgrade to 1.3
- Rebuilt with Ant 1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.2-1jpp
- 1.2
- use perl instead of patch

* Wed May 28 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:1.1-1jpp
- First JPackage release.
